petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscDrawSetDoubleBuffer

Sets a window to be double buffered.

### Synopsis

    #include "petscdraw.h"
    PetscErrorCode  PetscDrawSetDoubleBuffer(PetscDraw draw)

Logically Collective on PetscDraw

### Input Parameter

draw -the drawing context

### Level

intermediate

### Location

src/sys/classes/draw/interface/draw.c

### Examples

src/ts/examples/tutorials/ex2.c.html
src/ts/examples/tutorials/ex3.c.html
src/ts/examples/tutorials/ex4.c.html
src/ts/examples/tutorials/ex5.c.html
src/ts/examples/tutorials/ex6.c.html
src/ts/examples/tutorials/ex21.c.html

### Implementations

PetscDrawSetDoubleBuffer_Image in src/sys/classes/draw/impls/image/drawimage.c
PetscDrawSetDoubleBuffer_Win32 in src/sys/classes/draw/impls/win32/win32draw.c
PetscDrawSetDoubleBuffer_X in src/sys/classes/draw/impls/x/xops.c
Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages